<?php

namespace Me\Teszt\Policies;

use Litepie\User\Contracts\UserPolicy;
use Me\Teszt\Models\Table1;

class Table1Policy
{

    /**
     * Determine if the given user can view the table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function view(UserPolicy $user, Table1 $table1)
    {
        if ($user->canDo('teszt.table1.view') && $user->isAdmin()) {
            return true;
        }

        return $table1->user_id == user_id() && $table1->user_type == user_type();
    }

    /**
     * Determine if the given user can create a table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function create(UserPolicy $user)
    {
        return  $user->canDo('teszt.table1.create');
    }

    /**
     * Determine if the given user can update the given table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function update(UserPolicy $user, Table1 $table1)
    {
        if ($user->canDo('teszt.table1.edit') && $user->isAdmin()) {
            return true;
        }

        return $table1->user_id == user_id() && $table1->user_type == user_type();
    }

    /**
     * Determine if the given user can delete the given table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function destroy(UserPolicy $user, Table1 $table1)
    {
        return $table1->user_id == user_id() && $table1->user_type == user_type();
    }

    /**
     * Determine if the given user can verify the given table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function verify(UserPolicy $user, Table1 $table1)
    {
        if ($user->canDo('teszt.table1.verify')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given table1.
     *
     * @param UserPolicy $user
     * @param Table1 $table1
     *
     * @return bool
     */
    public function approve(UserPolicy $user, Table1 $table1)
    {
        if ($user->canDo('teszt.table1.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
