<?php

namespace Me\Teszt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class Table1Transformer extends TransformerAbstract
{
    public function transform(\Me\Teszt\Models\Table1 $table1)
    {
        return [
            'id'                => $table1->getRouteKey(),
            'key'               => [
                'public'    => $table1->getPublicKey(),
                'route'     => $table1->getRouteKey(),
            ], 
            'aaa'               => $table1->aaa,
            'url'               => [
                'public'    => trans_url('teszt/'.$table1->getPublicKey()),
                'user'      => guard_url('teszt/table1/'.$table1->getRouteKey()),
            ], 
            'status'            => trans('app.'.$table1->status),
            'created_at'        => format_date($table1->created_at),
            'updated_at'        => format_date($table1->updated_at),
        ];
    }
}