<?php

namespace Me\Teszt\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Me\Teszt\Models\Table1;

class Table1Action
{
    /**
     * Perform the complete action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */
    public function complete(Table1 $table1)
    {
        try {
            $table1->status = 'complete';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */public function verify(Table1 $table1)
    {
        try {
            $table1->status = 'verify';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */public function approve(Table1 $table1)
    {
        try {
            $table1->status = 'approve';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */public function publish(Table1 $table1)
    {
        try {
            $table1->status = 'publish';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */
    public function archive(Table1 $table1)
    {
        try {
            $table1->status = 'archive';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Table1 $table1
     *
     * @return Table1
     */
    public function unpublish(Table1 $table1)
    {
        try {
            $table1->status = 'unpublish';
            return $table1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
