<?php

namespace Me\Teszt\Workflow;

use Me\Teszt\Models\Table1;
use Me\Teszt\Notifications\Table1Workflow as Table1Notifyer;
use Notification;

class Table1Notification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function complete(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function verify(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function approve(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function publish(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function archive(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Table1 $table1
     *
     * @return void
     */
    public function unpublish(Table1 $table1)
    {
        return Notification::send($table1->user, new Table1Notifyer($table1, 'unpublish'));;

    }
}
